# Default values for addok.
# This is a YAML-formatted file.
# Declare variables to be passed into your templates.

replicaCount: 1

image:
  repository: etalab/addok
  pullPolicy: IfNotPresent
#  credentials:
#    name: foo
#    registry: "gitlab.com"
#    username: "user"
#    password: "pass"
  tag: latest

nameOverride: ""
fullnameOverride: ""

envVars: {}

podAnnotations: {}

service:
  type: ClusterIP
  port: 80
  targetPort: 7878
  annotations: {}

probes:
  liveness:
    tcpSocket:
      port: 7878
  readiness:
    tcpSocket:
      port: 7878

jobs:
  cron: []
#  - frequency: "0 20 * * *"
#    args: ["run", "job:every-day"]
  hooks: {}
#    preUpgrade:
#      - args: []
#        annotations: {}
#        image:
#          repository: ""
#          tag: ""

ingress:
  className: null
  enabled: false
  certManagerClusterIssuer: letsencrypt-prod
  host: null
  path: /
  annotations:
    acme.cert-manager.io/http01-edit-in-place: "true"
  hosts: []
  #  - host: chart-example.local
  #    paths: []
  tls:
    enabled: true
    additional: []
    #  - secretName: chart-example-tls
    #    hosts:
    #      - chart-example.local

monitoring:
  namespace: monitoring
  exporter:
    enabled: false
    port: 9091
    targetPort: 9091
  dashboard:
    deploy: false
    sidecarLabel: grafana-dashboard

resources: {}
  # We usually recommend not to specify default resources and to leave this as a conscious
  # choice for the user. This also increases chances charts run on environments with little
  # resources, such as Minikube. If you do want to specify resources, uncomment the following
  # lines, adjust them as necessary, and remove the curly braces after 'resources:'.
  # limits:
  #   cpu: 100m
  #   memory: 128Mi
  # requests:
  #   cpu: 100m
  #   memory: 128Mi

autoscaling:
  enabled: false
  minReplicas: 1
  maxReplicas: 100
  targetCPUUtilizationPercentage: 80
  # targetMemoryUtilizationPercentage: 80

nodeSelector: {}

tolerations: []

affinity: {}

serviceAccount:
  # Specifies whether a service account should be created
  create: true
  # Annotations to add to the service account
  annotations: {}
  # The name of the service account to use.
  # If not set and create is true, a name is generated using the fullname template
  name: ""

persistence:
  accessMode: ReadWriteOnce
  size: 5Gi

configuration: |
  ATTRIBUTION = "BAN"
  LICENCE = "ETALAB-2.0"
  EXTRA_FIELDS = [
      {"key": "citycode"},
      {"key": "oldcitycode"},
      {"key": "oldcity"},
      {"key": "district"},
  ]
  FILTERS = ["type", "citycode", "postcode"]
  QUERY_PROCESSORS_PYPATHS = [
      "addok.helpers.text.check_query_length",
      "addok_france.extract_address",
      "addok_france.clean_query",
      "addok_france.remove_leading_zeros",
  ]
  SEARCH_RESULT_PROCESSORS_PYPATHS = [
      "addok.helpers.results.match_housenumber",
      "addok_france.make_labels",
      "addok.helpers.results.score_by_importance",
      "addok.helpers.results.score_by_autocomplete_distance",
      "addok.helpers.results.score_by_ngram_distance",
      "addok.helpers.results.score_by_geo_distance",
  ]
  PROCESSORS_PYPATHS = [
      "addok.helpers.text.tokenize",
      "addok.helpers.text.normalize",
      "addok_france.glue_ordinal",
      "addok_france.fold_ordinal",
      "addok_france.flag_housenumber",
      "addok.helpers.text.synonymize",
      "addok_fr.phonemicize",
  ]
  REDIS = {
    'host': 'localhost',
    'port': 6379,
    'db': 0
  }

redis:
  image:
    repository: etalab/addok-redis
    pullPolicy: IfNotPresent
  #  credentials:
  #    name: foo
  #    registry: "gitlab.com"
  #    username: "user"
  #    password: "pass"
    tag: latest

  envVars: {}

  probes:
    liveness:
      tcpSocket:
        port: 6379
    readiness:
      tcpSocket:
        port: 6379

  resources: {}
    # We usually recommend not to specify default resources and to leave this as a conscious
    # choice for the user. This also increases chances charts run on environments with little
    # resources, such as Minikube. If you do want to specify resources, uncomment the following
    # lines, adjust them as necessary, and remove the curly braces after 'resources:'.
    # limits:
    #   cpu: 100m
    #   memory: 128Mi
    # requests:
    #   cpu: 100m
    #   memory: 128Mi
